JGraph X 1.4.0.9

## com.mxgraph.layout.hierarchical.model
Interface mxGraphHierarchyModel.CellVisitor

Enclosing class:
  mxGraphHierarchyModel

    public static interface mxGraphHierarchyModel.CellVisitor

Defines the interface that visitors use to perform operations upon the graph information during depth first search (dfs) or other tree-traversal strategies implemented by subclassers.

Method Summary
`void` `visit(mxGraphHierarchyNode parent, mxGraphHierarchyNode cell, mxGraphHierarchyEdge connectingEdge, int layer, int seen)` The method within which the visitor will perform operations upon the graph model

Method Detail

### visit

    void visit(mxGraphHierarchyNode parent,
               mxGraphHierarchyNode cell,
               mxGraphHierarchyEdge connectingEdge,
               int layer,
               int seen)

  The method within which the visitor will perform operations upon the graph model

  Parameters:
    `parent` - the parent cell the current cell
    `cell` - the current cell visited
    `connectingEdge` - the edge that led the last cell visited to this cell
    `layer` - the current layer of the tree
    `seen` - an int indicating whether this cell has been seen previously

JGraph X 1.4.0.9

Copyright (c) 2010 Gaudenz Alder. All rights reserved.